低危 Apache Commons HttpClient证书校验中间人攻击漏洞

CVE编号

CVE-2012-5783

利用情况

暂无

补丁情况

官方补丁

披露时间

2012-11-05
漏洞描述
HttpClient是Apache Jakarta Common下的子项目,用来提供高效的支持HTTP协议的客户端编程工具包。Amazon Flexible Payments Service (FPS) merchant Java SDK产品使用的Apache Commons HttpClient没有正确校验主机名是否与CN中的域名或X.509证书subjectAltName字段的域名匹配,允许攻击者通过任意合法证书进行中间人攻击,欺骗SSL服务器。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 amazon flexible_payments_service - -
运行在以下环境
应用 apache commons-httpclient 3.0 -
运行在以下环境
系统 redhat_6 jakarta-commons-httpclient * Up to
(excluding)
1:3.1-0.7.el6_3
运行在以下环境
系统 suse_12 apache-commons-httpclient * Up to
(excluding)
3.1-4
运行在以下环境
系统 ubuntu_12.04_lts commons-httpclient * Up to
(excluding)
3.1-10ubuntu0.1
运行在以下环境
系统 ubuntu_14.04_lts commons-httpclient * Up to
(excluding)
3.1-10.2
阿里云评分
3.3
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
CWE-295 证书验证不恰当
阿里云安全产品覆盖情况